package com.cool.store.enums.close;

/**
 * @Author suzhuhong
 * @Date 2025/9/22 11:21
 * @Version 1.0
 */
public enum CloseStoreStageEnum {

    CLOSE_STORE_STAGE_1(1, "材料上交"),
    CLOSE_STORE_STAGE_2(2, "账号关闭"),
    CLOSE_STORE_STAGE_3(3, "退款"),
    ;

    /**
     * 闭店阶段
     */
    private Integer closeStoreStage;

    /**
     * 闭店阶段名称
     */
    private String closeStoreName;



    CloseStoreStageEnum(Integer closeStoreStage, String closeStoreName) {
        this.closeStoreStage = closeStoreStage;
        this.closeStoreName = closeStoreName;
    }

    public static CloseStoreStageEnum getCloseStoreStageEnum(Integer closeStoreStage) {
        for (CloseStoreStageEnum closeStoreStageEnum : CloseStoreStageEnum.values()) {
            if (closeStoreStageEnum.getCloseStoreStage().equals(closeStoreStage)) {
                return closeStoreStageEnum;
            }
        }
        return null;
    }


    public Integer getCloseStoreStage() {
        return closeStoreStage;
    }

    public String getCloseStoreName() {
        return closeStoreName;
    }
}
